You are not logged in.

#1 2019-04-06 17:54:20

mari-aria
Member
Registered: 2019-04-06
Posts: 3

[REQUEST] iomemory-vsl-3.2.16.1731-1.0

1. FIND OUT IF A PACKAGE ALREADY EXISTS:
Didn't find one

2. TRY TO MAKE A PACKAGE YOURSELF
Found it too complex to undestand, but tried converting source packages, tried helpers but no result.

3. POST A PACKAGE REQUEST
I'm trying to get a Fusion-io ioDrive II (2TB MLC) to work on my arch box. Downloaded the iomemory-vsl-3.2.16.1731-1.0.src.rpm from https://link.westerndigital.com/enterpr … nload.html and tried several ways to get it to work. Compiling the source ends in errors, unpacking the .rpm makes no sense to me. Trying to write a PKGBUILD ends in confusion and converting the package via alien and then debtap do create a pkg.tar.xz archive, but it seems to only be nonsense as it installs too quickly and does not provide access to the disk.

The generated PKGBUILD

# Generated by debtap
# Maintainer: iomemory
# Contributor: iomemory
pkgname=iomemory-vsl
pkgver=3.2.16.1731
pkgrel=1
pkgdesc="Driver for SanDisk Fusion ioMemory devices (Converted from a rpm package by alien version 8.95.)"
arch=('i686' 'x86_64')
url=""
license=('iomemory')
groups=('')
options=('!strip' '!emptydirs')
source_i686=("PUT_FULL_URL_FOR_DOWNLOADING_i386_DEB_PACKAGE_HERE")
source_x86_64=("PUT_FULL_URL_FOR_DOWNLOADING_amd64_DEB_PACKAGE_HERE")
sha512sums_i686=('PUT_SHA512SUM_OF_i386_DEB_PACKAGE_HERE')
sha512sums_x86_64=('cc450232ce5eb808f12edf4c3c622f2d87d47511362fc1684b096fdaffcdd6b78fcd44ac51620aae76bf86cbb906cde540301daeebd1c030d48561bdc039c055')

package(){

	# Extract package data
	tar xf data.tar.xz -C "${pkgdir}"

	install -D -m644 "/usr/share/doc/iomemory-vsl/copyright" "${pkgdir}/usr/share/licenses/${pkgname}/LICENSE"

}

Links that I've found helpful:
https://forums.servethehome.com/index.p … 287/page-6
https://forums.servethehome.com/index.p … 423/page-2
https://link.westerndigital.com/enterpr … nload.html

4. LEARN FROM YOUR OWN REQUEST
I would like to!

Hope some nice guy can help me!

Offline

#2 2019-04-07 23:33:36

loqs
Member
Registered: 2014-03-06
Posts: 9,235

Re: [REQUEST] iomemory-vsl-3.2.16.1731-1.0

Welcome to the arch linux forums mari-aria.
I believe [1] is the driver you were trying to build which will not compile with recent kernels such as 5.0
Does [2] compile with 4.19 / 5.0?

[1] https://github.com/vinsonlee/iomemory-v … .2.16.1731
[2] https://github.com/snuf/iomemory-vsl

Offline

#3 2019-04-08 19:44:54

mari-aria
Member
Registered: 2019-04-06
Posts: 3

Re: [REQUEST] iomemory-vsl-3.2.16.1731-1.0

Hi loqs!

Thank you very much for pointing me in the right direction! Yes, [1] does stop with errors while compiling but [2] compiles by following the instructions:

sudo cp -r iomemory-vsl/root/usr/src/iomemory-vsl-3.2.15 /usr/src/
sudo mkdir -p /var/lib/dkms/iomemory-vsl/3.2.15/build
sudo ln -s /usr/src/iomemory-vsl-3.2.15 /var/lib/dkms/iomemory-vsl/3.2.15/source
sudo dkms build -m iomemory-vsl -v 3.2.15
sudo dkms install -m iomemory-vsl -v 3.2.15
sudo modprobe iomemory-vsl

When doing this, I can see the and write to the fusionio drives.

To proceed with a PKGBUILD, I guess it's suitable to point to the github directly and then add those instructions to the build section?

I may need to ask more questions before I'm finished with a PKGBUILD. (it's my first time!)

Offline

#4 2019-04-08 23:55:38

loqs
Member
Registered: 2014-03-06
Posts: 9,235

Re: [REQUEST] iomemory-vsl-3.2.16.1731-1.0

Dynamic_Kernel_Module_Support#DKMS_package_creation
DKMS packages simply package the source which will be built when the package is installed.
The following worked with linux-lts (4.19) but not linux (5.0)

_pkgbase=iomemory-vsl
pkgname=iomemory-vsl-dkms-git
pkgver=r96.2cd44d7
pkgrel=1
pkgdesc=""
arch=('x86_64')
url="https://github.com/snuf/iomemory-vsl"
license=('custom')
depends=('dkms' 'procps-ng')
makedepends=('git')
conflicts=("${_pkgbase}")
source=('git+https://github.com/snuf/iomemory-vsl'
        )
md5sums=('SKIP')

pkgver() {
  cd ${_pkgbase}

  printf "r%s.%s" "$(git rev-list --count HEAD)" "$(git rev-parse --short HEAD)"
}

package() {
  cd ${_pkgbase}
  install -dm 755 "${pkgdir}/usr/share/licenses/${pkgname}"
  install -Dm 644 root/usr/share/doc/iomemory-vsl/License "${pkgdir}/usr/share/licenses/${pkgname}/License"
  cd root/usr/src/iomemory-vsl-3.2.15
  find . -type d -exec install -dm755 '{}' "${pkgdir}/usr/src/${_pkgbase}-${pkgver}/"'{}' \;
  find . -type f -a ! -name '*.sh' -exec install -Dm644 '{}' "${pkgdir}/usr/src/${_pkgbase}-${pkgver}/"'{}' \;
  find . -type f -a -name '*.sh' -exec install -Dm755 '{}' "${pkgdir}/usr/src/${_pkgbase}-${pkgver}/"'{}' \;
}

Offline

Board footer

Powered by FluxBB